UserDataAttributeMeta (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.UserDataAttributeMeta interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface UserDataAttributeMeta

All Superinterfaces:
  CmdbMeta, ModelObject, java.io.Serializable

    public interface UserDataAttributeMeta

extends CmdbMeta

Naming Rules:
  0="parent,attrName"
Persistable:
  true
Table Name:
  UDATTRMETA

Method Summary
`java.lang.String` | `getAttrName()`
`java.lang.String` | `getAttrType()`
`java.lang.String` | `getMappedAttrName()`
`UserDataMeta` | `getParent()`
`boolean` | `hasAttrName()`
`boolean` | `hasAttrType()`
`boolean` | `hasMappedAttrName()`
`boolean` | `hasParent()`
`void` | `setAttrName(java.lang.String s)`
`void` | `setAttrType(java.lang.String s)`
`void` | `setMappedAttrName(java.lang.String s)`
`void` | `setParent(UserDataMeta cls)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    UserDataMeta getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(UserDataMeta cls)

### hasParent

    boolean hasParent()

### getAttrName

    java.lang.String getAttrName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAttrName

    void setAttrName(java.lang.String s)

### hasAttrName

    boolean hasAttrName()

### getAttrType

    java.lang.String getAttrType()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAttrType

    void setAttrType(java.lang.String s)

### hasAttrType

    boolean hasAttrType()

### getMappedAttrName

    java.lang.String getMappedAttrName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMappedAttrName

    void setMappedAttrName(java.lang.String s)

### hasMappedAttrName

    boolean hasMappedAttrName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD